@ECHO OFF
SETLOCAL
SET       BATDIR=%~dp0
SET       DISP_X=210
SET       DISP_Y=170
SET         RATE=20
SET INFLATE_SIZE=0
SET   SPEC_FNAME=LedSpec.csv
SET   DATA_FNAME=%~dpn1.csv
SET    AVI_FNAME=%~n1.avi

dpavigen.exe ^
 -x %DISP_X% -y %DISP_Y% -r %RATE% ^
 -e "INFLATE_SIZE=%INFLATE_SIZE%" ^
 -e "LED_FNAME=[[%SPEC_FNAME%]]" ^
 -e "DAT_FNAME=[[%DATA_FNAME%]]" ^
 -f %BATDIR%LedAviGen.lua %AVI_FNAME%

ENDLOCAL
